zenilib: zenilib/jni/external/libogg/include/ogg/ogg.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Functions
ogg.h File Reference
`#include <stddef.h>`
`#include <ogg/os_types.h>`

Go to the source code of this file.

## Classes

struct | ogg_iovec_t
struct | ogg_packet
struct | ogg_page
struct | ogg_stream_state
struct | ogg_sync_state
struct | oggpack_buffer

## Functions

void | ogg_packet_clear (ogg_packet *op)
int | ogg_page_bos (const ogg_page *og)
void | ogg_page_checksum_set (ogg_page *og)
int | ogg_page_continued (const ogg_page *og)
int | ogg_page_eos (const ogg_page *og)
ogg_int64_t | ogg_page_granulepos (const ogg_page *og)
int | ogg_page_packets (const ogg_page *og)
long | ogg_page_pageno (const ogg_page *og)
int | ogg_page_serialno (const ogg_page *og)
int | ogg_page_version (const ogg_page *og)
int | ogg_stream_check (ogg_stream_state *os)
int | ogg_stream_clear (ogg_stream_state *os)
int | ogg_stream_destroy (ogg_stream_state *os)
int | ogg_stream_eos (ogg_stream_state *os)
int | ogg_stream_flush (ogg_stream_state *os, ogg_page *og)
int | ogg_stream_flush_fill (ogg_stream_state *os, ogg_page *og, int nfill)
int | ogg_stream_init (ogg_stream_state *os, int serialno)
int | ogg_stream_iovecin (ogg_stream_state *os, ogg_iovec_t *iov, int count, long e_o_s, ogg_int64_t granulepos)
int | ogg_stream_packetin (ogg_stream_state *os, ogg_packet *op)
int | ogg_stream_packetout (ogg_stream_state *os, ogg_packet *op)
int | ogg_stream_packetpeek (ogg_stream_state *os, ogg_packet *op)
int | ogg_stream_pagein (ogg_stream_state *os, ogg_page *og)
int | ogg_stream_pageout (ogg_stream_state *os, ogg_page *og)
int | ogg_stream_pageout_fill (ogg_stream_state *os, ogg_page *og, int nfill)
int | ogg_stream_reset (ogg_stream_state *os)
int | ogg_stream_reset_serialno (ogg_stream_state *os, int serialno)
char * | ogg_sync_buffer (ogg_sync_state *oy, long size)
int | ogg_sync_check (ogg_sync_state *oy)
int | ogg_sync_clear (ogg_sync_state *oy)
int | ogg_sync_destroy (ogg_sync_state *oy)
int | ogg_sync_init (ogg_sync_state *oy)
int | ogg_sync_pageout (ogg_sync_state *oy, ogg_page *og)
long | ogg_sync_pageseek (ogg_sync_state *oy, ogg_page *og)
int | ogg_sync_reset (ogg_sync_state *oy)
int | ogg_sync_wrote (ogg_sync_state *oy, long bytes)
void | oggpack_adv (oggpack_buffer *b, int bits)
void | oggpack_adv1 (oggpack_buffer *b)
long | oggpack_bits (oggpack_buffer *b)
long | oggpack_bytes (oggpack_buffer *b)
unsigned char * | oggpack_get_buffer (oggpack_buffer *b)
long | oggpack_look (oggpack_buffer *b, int bits)
long | oggpack_look1 (oggpack_buffer *b)
long | oggpack_read (oggpack_buffer *b, int bits)
long | oggpack_read1 (oggpack_buffer *b)
void | oggpack_readinit (oggpack_buffer *b, unsigned char *buf, int bytes)
void | oggpack_reset (oggpack_buffer *b)
void | oggpack_write (oggpack_buffer *b, unsigned long value, int bits)
void | oggpack_writealign (oggpack_buffer *b)
int | oggpack_writecheck (oggpack_buffer *b)
void | oggpack_writeclear (oggpack_buffer *b)
void | oggpack_writecopy (oggpack_buffer *b, void *source, long bits)
void | oggpack_writeinit (oggpack_buffer *b)
void | oggpack_writetrunc (oggpack_buffer *b, long bits)
void | oggpackB_adv (oggpack_buffer *b, int bits)
void | oggpackB_adv1 (oggpack_buffer *b)
long | oggpackB_bits (oggpack_buffer *b)
long | oggpackB_bytes (oggpack_buffer *b)
unsigned char * | oggpackB_get_buffer (oggpack_buffer *b)
long | oggpackB_look (oggpack_buffer *b, int bits)
long | oggpackB_look1 (oggpack_buffer *b)
long | oggpackB_read (oggpack_buffer *b, int bits)
long | oggpackB_read1 (oggpack_buffer *b)
void | oggpackB_readinit (oggpack_buffer *b, unsigned char *buf, int bytes)
void | oggpackB_reset (oggpack_buffer *b)
void | oggpackB_write (oggpack_buffer *b, unsigned long value, int bits)
void | oggpackB_writealign (oggpack_buffer *b)
int | oggpackB_writecheck (oggpack_buffer *b)
void | oggpackB_writeclear (oggpack_buffer *b)
void | oggpackB_writecopy (oggpack_buffer *b, void *source, long bits)
void | oggpackB_writeinit (oggpack_buffer *b)
void | oggpackB_writetrunc (oggpack_buffer *b, long bits)

## Function Documentation

void ogg_packet_clear | ( | ogg_packet * | op | ) |

Definition at line 1022 of file framing.c.

References _ogg_free, memset, and ogg_packet::packet.

int ogg_page_bos | ( | const ogg_page * | og | ) |

Definition at line 37 of file framing.c.

References ogg_page::header.

Referenced by _fetch_and_process_packet(), _fetch_headers(), _initial_pcmoffset(), ogg_stream_pagein(), ov_pcm_seek(), and ov_raw_seek().

void ogg_page_checksum_set | ( | ogg_page * | og | ) |

Definition at line 280 of file framing.c.

References ogg_page::body, ogg_page::body_len, ogg_page::header, ogg_page::header_len, and i.

Referenced by ogg_stream_flush_i(), and ogg_sync_pageseek().

int ogg_page_continued | ( | const ogg_page * | og | ) |

Definition at line 33 of file framing.c.

References ogg_page::header.

Referenced by ogg_stream_pagein(), and ov_pcm_seek_page().

int ogg_page_eos | ( | const ogg_page * | og | ) |

Definition at line 41 of file framing.c.

References ogg_page::header.

Referenced by ogg_stream_pagein(), and ov_raw_seek().

ogg_int64_t ogg_page_granulepos | ( | const ogg_page * | og | ) |

Definition at line 45 of file framing.c.

References ogg_page::header.

Referenced by _get_prev_page_serial(), _initial_pcmoffset(), ogg_stream_pagein(), and ov_pcm_seek_page().

int ogg_page_packets | ( | const ogg_page * | og | ) |

Definition at line 91 of file framing.c.

References ogg_page::header, and i.

long ogg_page_pageno | ( | const ogg_page * | og | ) |

Definition at line 65 of file framing.c.

References ogg_page::header.

Referenced by ogg_stream_pagein().

int ogg_page_serialno | ( | const ogg_page * | og | ) |

Definition at line 58 of file framing.c.

References ogg_page::header.

Referenced by _add_serialno(), _fetch_and_process_packet(), _fetch_headers(), _get_prev_page_serial(), _initial_pcmoffset(), _lookup_page_serialno(), ogg_stream_pagein(), ov_pcm_seek(), ov_pcm_seek_page(), and ov_raw_seek().

int ogg_page_version | ( | const ogg_page * | og | ) |

Definition at line 29 of file framing.c.

References ogg_page::header.

Referenced by ogg_stream_pagein().

int ogg_stream_check | ( | ogg_stream_state * | os | ) |

Definition at line 211 of file framing.c.

References ogg_stream_state::body_data.

Referenced by ogg_stream_eos(), ogg_stream_flush_i(), ogg_stream_iovecin(), ogg_stream_packetout(), ogg_stream_packetpeek(), ogg_stream_pagein(), ogg_stream_pageout(), ogg_stream_pageout_fill(), ogg_stream_reset(), and ogg_stream_reset_serialno().

int ogg_stream_clear | ( | ogg_stream_state * | os | ) |

Definition at line 217 of file framing.c.

References _ogg_free, ogg_stream_state::body_data, ogg_stream_state::granule_vals, ogg_stream_state::lacing_vals, and memset.

Referenced by _os_body_expand(), _os_lacing_expand(), ogg_stream_destroy(), ogg_stream_init(), ov_clear(), and ov_raw_seek().

int ogg_stream_destroy | ( | ogg_stream_state * | os | ) |

Definition at line 228 of file framing.c.

References _ogg_free, and ogg_stream_clear().

int ogg_stream_eos | ( | ogg_stream_state * | os | ) |

Definition at line 559 of file framing.c.

References ogg_stream_state::e_o_s, and ogg_stream_check().

int ogg_stream_flush | ( | ogg_stream_state * | os,
|  | ogg_page * | og
| ) |  |

Definition at line 517 of file framing.c.

References ogg_stream_flush_i().

int ogg_stream_flush_fill | ( | ogg_stream_state * | os,
|  | ogg_page * | og,
|  | int | nfill
| ) |  |

Definition at line 525 of file framing.c.

References ogg_stream_flush_i().

int ogg_stream_init | ( | ogg_stream_state * | os,
|  | int | serialno
| ) |  |

Definition at line 188 of file framing.c.

References _ogg_malloc, ogg_stream_state::body_data, ogg_stream_state::body_storage, ogg_stream_state::granule_vals, ogg_stream_state::lacing_storage, ogg_stream_state::lacing_vals, memset, ogg_stream_clear(), and ogg_stream_state::serialno.

Referenced by _ov_open1(), and ov_raw_seek().

int ogg_stream_iovecin | ( | ogg_stream_state * | os,
|  | ogg_iovec_t * | iov,
|  | int | count,
|  | long | e_o_s,
|  | ogg_int64_t | granulepos
| ) |  |

Definition at line 304 of file framing.c.

References _os_body_expand(), _os_lacing_expand(), ogg_stream_state::body_data, ogg_stream_state::body_fill, ogg_stream_state::body_returned, ogg_stream_state::e_o_s, ogg_stream_state::granule_vals, ogg_stream_state::granulepos, i, int, ogg_iovec_t::iov_base, ogg_iovec_t::iov_len, ogg_stream_state::lacing_fill, ogg_stream_state::lacing_vals, memcpy, memmove, ogg_stream_check(), and ogg_stream_state::packetno.

Referenced by ogg_stream_packetin().

int ogg_stream_packetin | ( | ogg_stream_state * | os,
|  | ogg_packet * | op
| ) |  |

Definition at line 362 of file framing.c.

References ogg_packet::bytes, ogg_packet::e_o_s, ogg_packet::granulepos, ogg_iovec_t::iov_base, ogg_iovec_t::iov_len, ogg_stream_iovecin(), and ogg_packet::packet.

int ogg_stream_packetout | ( | ogg_stream_state * | os,
|  | ogg_packet * | op
| ) |  |

Definition at line 1012 of file framing.c.

References _packetout(), and ogg_stream_check().

Referenced by _fetch_and_process_packet(), _fetch_headers(), _initial_pcmoffset(), ov_pcm_seek(), ov_pcm_seek_page(), and ov_raw_seek().

int ogg_stream_packetpeek | ( | ogg_stream_state * | os,
|  | ogg_packet * | op
| ) |  |

Definition at line 1017 of file framing.c.

References _packetout(), and ogg_stream_check().

Referenced by ov_pcm_seek(), and ov_pcm_seek_page().

int ogg_stream_pagein | ( | ogg_stream_state * | os,
|  | ogg_page * | og
| ) |  |

Definition at line 790 of file framing.c.

References _os_body_expand(), _os_lacing_expand(), ogg_page::body, ogg_stream_state::body_data, ogg_stream_state::body_fill, ogg_page::body_len, ogg_stream_state::body_returned, ogg_stream_state::e_o_s, ogg_stream_state::granule_vals, ogg_page::header, header(), i, ogg_stream_state::lacing_fill, ogg_stream_state::lacing_packet, ogg_stream_state::lacing_returned, ogg_stream_state::lacing_vals, memcpy, memmove, ogg_page_bos(), ogg_page_continued(), ogg_page_eos(), ogg_page_granulepos(), ogg_page_pageno(), ogg_page_serialno(), ogg_page_version(), ogg_stream_check(), ogg_stream_state::pageno, ogg_stream_state::serialno, and version.

Referenced by _fetch_and_process_packet(), _fetch_headers(), _initial_pcmoffset(), ov_pcm_seek(), ov_pcm_seek_page(), and ov_raw_seek().

int ogg_stream_pageout | ( | ogg_stream_state * | os,
|  | ogg_page * | og
| ) |  |

Definition at line 533 of file framing.c.

References ogg_stream_state::b_o_s, ogg_stream_state::e_o_s, ogg_stream_state::lacing_fill, ogg_stream_check(), and ogg_stream_flush_i().

int ogg_stream_pageout_fill | ( | ogg_stream_state * | os,
|  | ogg_page * | og,
|  | int | nfill
| ) |  |

Definition at line 548 of file framing.c.

References ogg_stream_state::b_o_s, ogg_stream_state::e_o_s, ogg_stream_state::lacing_fill, ogg_stream_check(), and ogg_stream_flush_i().

int ogg_stream_reset | ( | ogg_stream_state * | os | ) |

Definition at line 930 of file framing.c.

References ogg_stream_state::b_o_s, ogg_stream_state::body_fill, ogg_stream_state::body_returned, ogg_stream_state::e_o_s, ogg_stream_state::granulepos, ogg_stream_state::header_fill, ogg_stream_state::lacing_fill, ogg_stream_state::lacing_packet, ogg_stream_state::lacing_returned, ogg_stream_check(), ogg_stream_state::packetno, and ogg_stream_state::pageno.

Referenced by ogg_stream_reset_serialno(), and ov_raw_seek().

int ogg_stream_reset_serialno | ( | ogg_stream_state * | os,
|  | int | serialno
| ) |  |

Definition at line 951 of file framing.c.

References ogg_stream_check(), ogg_stream_reset(), and ogg_stream_state::serialno.

Referenced by _fetch_and_process_packet(), _fetch_headers(), ov_pcm_seek(), ov_pcm_seek_page(), and ov_raw_seek().

char* ogg_sync_buffer | ( | ogg_sync_state * | oy,
|  | long | size
| ) |  |

Definition at line 610 of file framing.c.

References _ogg_malloc, _ogg_realloc, ogg_sync_state::data, ogg_sync_state::fill, memmove, NULL, ogg_sync_check(), ogg_sync_clear(), ret, ogg_sync_state::returned, and ogg_sync_state::storage.

Referenced by _get_data(), and _ov_open1().

int ogg_sync_check | ( | ogg_sync_state * | oy | ) |

Definition at line 605 of file framing.c.

References ogg_sync_state::storage.

Referenced by ogg_sync_buffer(), ogg_sync_pageout(), ogg_sync_pageseek(), ogg_sync_reset(), and ogg_sync_wrote().

int ogg_sync_clear | ( | ogg_sync_state * | oy | ) |

Definition at line 589 of file framing.c.

References _ogg_free, ogg_sync_state::data, and memset.

Referenced by ogg_sync_buffer(), ogg_sync_destroy(), and ov_clear().

int ogg_sync_destroy | ( | ogg_sync_state * | oy | ) |

Definition at line 597 of file framing.c.

References _ogg_free, and ogg_sync_clear().

int ogg_sync_init | ( | ogg_sync_state * | oy | ) |

Definition at line 580 of file framing.c.

References memset, and ogg_sync_state::storage.

Referenced by _ov_open1().

int ogg_sync_pageout | ( | ogg_sync_state * | oy,
|  | ogg_page * | og
| ) |  |

Definition at line 757 of file framing.c.

References ogg_sync_check(), ogg_sync_pageseek(), ret, and ogg_sync_state::unsynced.

long ogg_sync_pageseek | ( | ogg_sync_state * | oy,
|  | ogg_page * | og
| ) |  |

Definition at line 659 of file framing.c.

References ogg_page::body, ogg_page::body_len, ogg_sync_state::bodybytes, ogg_sync_state::data, ogg_sync_state::fill, ogg_page::header, ogg_page::header_len, ogg_sync_state::headerbytes, i, int, memcpy, memset, ogg_page_checksum_set(), ogg_sync_check(), ogg_sync_state::returned, and ogg_sync_state::unsynced.

Referenced by _get_next_page(), and ogg_sync_pageout().

int ogg_sync_reset | ( | ogg_sync_state * | oy | ) |

Definition at line 919 of file framing.c.

References ogg_sync_state::bodybytes, ogg_sync_state::fill, ogg_sync_state::headerbytes, ogg_sync_check(), ogg_sync_state::returned, and ogg_sync_state::unsynced.

Referenced by _seek_helper().

int ogg_sync_wrote | ( | ogg_sync_state * | oy,
|  | long | bytes
| ) |  |

Definition at line 642 of file framing.c.

References ogg_sync_state::fill, ogg_sync_check(), and ogg_sync_state::storage.

Referenced by _get_data(), and _ov_open1().

void oggpack_adv | ( | oggpack_buffer * | b,
|  | int | bits
| ) |  |

Definition at line 338 of file bitwise.c.

References oggpack_buffer::endbit, oggpack_buffer::endbyte, NULL, oggpack_buffer::ptr, and oggpack_buffer::storage.

Referenced by decode_packed_entry_number(), and oggpackB_adv().

void oggpack_adv1 | ( | oggpack_buffer * | b | ) |

Definition at line 358 of file bitwise.c.

References oggpack_buffer::endbit, oggpack_buffer::endbyte, and oggpack_buffer::ptr.

Referenced by oggpackB_adv1().

long oggpack_bits | ( | oggpack_buffer * | b | ) |

Definition at line 503 of file bitwise.c.

References oggpack_buffer::endbit, and oggpack_buffer::endbyte.

Referenced by oggpackB_bits().

long oggpack_bytes | ( | oggpack_buffer * | b | ) |

Definition at line 499 of file bitwise.c.

References oggpack_buffer::endbit, and oggpack_buffer::endbyte.

Referenced by _vorbis_unpack_comment(), oggpackB_bytes(), vorbis_analysis(), vorbis_analysis_headerout(), vorbis_bitrate_addblock(), vorbis_bitrate_flushpacket(), vorbis_commentheader_out(), and vorbis_staticbook_unpack().

unsigned char* oggpack_get_buffer | ( | oggpack_buffer * | b | ) |

Definition at line 515 of file bitwise.c.

References oggpack_buffer::buffer.

Referenced by oggpackB_get_buffer(), vorbis_analysis(), and vorbis_bitrate_flushpacket().

long oggpack_look | ( | oggpack_buffer * | b,
|  | int | bits
| ) |  |

Definition at line 266 of file bitwise.c.

References bits, oggpack_buffer::endbit, oggpack_buffer::endbyte, m, oggpack_buffer::ptr, ret, and oggpack_buffer::storage.

Referenced by decode_packed_entry_number().

long oggpack_look1 | ( | oggpack_buffer * | b | ) |

Definition at line 328 of file bitwise.c.

References oggpack_buffer::endbit, oggpack_buffer::endbyte, oggpack_buffer::ptr, and oggpack_buffer::storage.

long oggpack_read | ( | oggpack_buffer * | b,
|  | int | bits
| ) |  |

Definition at line 371 of file bitwise.c.

References bits, oggpack_buffer::endbit, oggpack_buffer::endbyte, m, NULL, oggpack_buffer::ptr, ret, and oggpack_buffer::storage.

Referenced by _v_readstring(), _vorbis_unpack_books(), _vorbis_unpack_comment(), _vorbis_unpack_info(), floor0_inverse1(), floor0_unpack(), floor1_inverse1(), floor1_unpack(), mapping0_unpack(), res0_unpack(), vorbis_packet_blocksize(), vorbis_staticbook_unpack(), vorbis_synthesis(), vorbis_synthesis_headerin(), vorbis_synthesis_idheader(), and vorbis_synthesis_trackonly().

long oggpack_read1 | ( | oggpack_buffer * | b | ) |

Definition at line 457 of file bitwise.c.

References oggpack_buffer::endbit, oggpack_buffer::endbyte, NULL, oggpack_buffer::ptr, ret, and oggpack_buffer::storage.

void oggpack_readinit | ( | oggpack_buffer * | b,
|  | unsigned char * | buf,
|  | int | bytes
| ) |  |

Definition at line 255 of file bitwise.c.

References oggpack_buffer::buffer, memset, oggpack_buffer::ptr, and oggpack_buffer::storage.

Referenced by oggpackB_readinit(), vorbis_packet_blocksize(), vorbis_synthesis(), vorbis_synthesis_headerin(), vorbis_synthesis_idheader(), and vorbis_synthesis_trackonly().

void oggpack_reset | ( | oggpack_buffer * | b | ) |

Definition at line 235 of file bitwise.c.

References oggpack_buffer::buffer, oggpack_buffer::endbit, oggpack_buffer::endbyte, and oggpack_buffer::ptr.

Referenced by oggpackB_reset(), vorbis_analysis(), and vorbis_analysis_headerout().

void oggpack_write | ( | oggpack_buffer * | b,
|  | unsigned long | value,
|  | int | bits
| ) |  |

Definition at line 83 of file bitwise.c.

References _ogg_realloc, bits, oggpack_buffer::buffer, BUFFER_INCREMENT, oggpack_buffer::endbit, oggpack_buffer::endbyte, oggpack_writeclear(), oggpack_buffer::ptr, ret, and oggpack_buffer::storage.

Referenced by _v_writestring(), _vorbis_pack_books(), _vorbis_pack_comment(), _vorbis_pack_info(), floor1_encode(), floor1_pack(), mapping0_forward(), mapping0_pack(), oggpack_writealign(), oggpack_writecopy(), res0_pack(), vorbis_bitrate_addblock(), vorbis_book_encode(), and vorbis_staticbook_pack().

void oggpack_writealign | ( | oggpack_buffer * | b | ) |

Definition at line 168 of file bitwise.c.

References oggpack_buffer::endbit, and oggpack_write().

int oggpack_writecheck | ( | oggpack_buffer * | b | ) |

Definition at line 51 of file bitwise.c.

References oggpack_buffer::ptr, and oggpack_buffer::storage.

Referenced by oggpackB_writecheck().

void oggpack_writeclear | ( | oggpack_buffer * | b | ) |

Definition at line 246 of file bitwise.c.

References _ogg_free, oggpack_buffer::buffer, and memset.

Referenced by oggpack_write(), oggpack_writecopy_helper(), oggpackB_write(), oggpackB_writeclear(), vorbis_analysis_headerout(), and vorbis_block_clear().

void oggpack_writecopy | ( | oggpack_buffer * | b,
|  | void * | source,
|  | long | bits
| ) |  |

Definition at line 227 of file bitwise.c.

References oggpack_write(), and oggpack_writecopy_helper().

void oggpack_writeinit | ( | oggpack_buffer * | b | ) |

Definition at line 40 of file bitwise.c.

References _ogg_malloc, oggpack_buffer::buffer, BUFFER_INCREMENT, memset, oggpack_buffer::ptr, and oggpack_buffer::storage.

Referenced by oggpackB_writeinit(), vorbis_analysis_headerout(), vorbis_block_init(), and vorbis_commentheader_out().

void oggpack_writetrunc | ( | oggpack_buffer * | b,
|  | long | bits
| ) |  |

Definition at line 60 of file bitwise.c.

References bits, oggpack_buffer::buffer, oggpack_buffer::endbit, oggpack_buffer::endbyte, and oggpack_buffer::ptr.

Referenced by vorbis_bitrate_addblock().

void oggpackB_adv | ( | oggpack_buffer * | b,
|  | int | bits
| ) |  |

Definition at line 354 of file bitwise.c.

References oggpack_adv().

void oggpackB_adv1 | ( | oggpack_buffer * | b | ) |

Definition at line 366 of file bitwise.c.

References oggpack_adv1().

long oggpackB_bits | ( | oggpack_buffer * | b | ) |

Definition at line 511 of file bitwise.c.

References oggpack_bits().

long oggpackB_bytes | ( | oggpack_buffer * | b | ) |

Definition at line 507 of file bitwise.c.

References oggpack_bytes().

unsigned char* oggpackB_get_buffer | ( | oggpack_buffer * | b | ) |

Definition at line 519 of file bitwise.c.

References oggpack_get_buffer().

long oggpackB_look | ( | oggpack_buffer * | b,
|  | int | bits
| ) |  |

Definition at line 298 of file bitwise.c.

References bits, oggpack_buffer::endbit, oggpack_buffer::endbyte, oggpack_buffer::ptr, ret, and oggpack_buffer::storage.

long oggpackB_look1 | ( | oggpack_buffer * | b | ) |

Definition at line 333 of file bitwise.c.

References oggpack_buffer::endbit, oggpack_buffer::endbyte, oggpack_buffer::ptr, and oggpack_buffer::storage.

long oggpackB_read | ( | oggpack_buffer * | b,
|  | int | bits
| ) |  |

Definition at line 415 of file bitwise.c.

References bits, oggpack_buffer::endbit, oggpack_buffer::endbyte, NULL, oggpack_buffer::ptr, ret, and oggpack_buffer::storage.

long oggpackB_read1 | ( | oggpack_buffer * | b | ) |

Definition at line 478 of file bitwise.c.

References oggpack_buffer::endbit, oggpack_buffer::endbyte, NULL, oggpack_buffer::ptr, ret, and oggpack_buffer::storage.

void oggpackB_readinit | ( | oggpack_buffer * | b,
|  | unsigned char * | buf,
|  | int | bytes
| ) |  |

Definition at line 261 of file bitwise.c.

References oggpack_readinit().

void oggpackB_reset | ( | oggpack_buffer * | b | ) |

Definition at line 242 of file bitwise.c.

References oggpack_reset().

void oggpackB_write | ( | oggpack_buffer * | b,
|  | unsigned long | value,
|  | int | bits
| ) |  |

Definition at line 126 of file bitwise.c.

References _ogg_realloc, bits, oggpack_buffer::buffer, BUFFER_INCREMENT, oggpack_buffer::endbit, oggpack_buffer::endbyte, oggpack_writeclear(), oggpack_buffer::ptr, ret, and oggpack_buffer::storage.

Referenced by oggpackB_writealign(), and oggpackB_writecopy().

void oggpackB_writealign | ( | oggpack_buffer * | b | ) |

Definition at line 174 of file bitwise.c.

References oggpack_buffer::endbit, and oggpackB_write().

int oggpackB_writecheck | ( | oggpack_buffer * | b | ) |

Definition at line 56 of file bitwise.c.

References oggpack_writecheck().

void oggpackB_writeclear | ( | oggpack_buffer * | b | ) |

Definition at line 251 of file bitwise.c.

References oggpack_writeclear().

void oggpackB_writecopy | ( | oggpack_buffer * | b,
|  | void * | source,
|  | long | bits
| ) |  |

Definition at line 231 of file bitwise.c.

References oggpack_writecopy_helper(), and oggpackB_write().

void oggpackB_writeinit | ( | oggpack_buffer * | b | ) |

Definition at line 47 of file bitwise.c.

References oggpack_writeinit().

void oggpackB_writetrunc | ( | oggpack_buffer * | b,
|  | long | bits
| ) |  |

Definition at line 71 of file bitwise.c.

References bits, oggpack_buffer::buffer, oggpack_buffer::endbit, oggpack_buffer::endbyte, mask8B, and oggpack_buffer::ptr.